---@meta

---@class ABP_Interactable_OneTimeGrill_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Box UBoxComponent
---@field NS_Fire UNiagaraComponent
---@field FireState int32
---@field BurnTime float
---@field Material UMaterialInstanceDynamic
---@field FireLoopSFX UAudioComponent
local ABP_Interactable_OneTimeGrill_C = {}

function ABP_Interactable_OneTimeGrill_C:KillActiveGrill() end
function ABP_Interactable_OneTimeGrill_C:FireUpGrillSFX() end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_Interactable_OneTimeGrill_C:GetVisuals(Mesh, DynamicMaterial) end
function ABP_Interactable_OneTimeGrill_C:OnRep_FireState() end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_OneTimeGrill_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
function ABP_Interactable_OneTimeGrill_C:Start() end
function ABP_Interactable_OneTimeGrill_C:UpdateFluff() end
function ABP_Interactable_OneTimeGrill_C:DestroyTimer() end
function ABP_Interactable_OneTimeGrill_C:ReceiveBeginPlay() end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
---@param bFromSweep boolean
---@param SweepResult FHitResult
function ABP_Interactable_OneTimeGrill_C:BndEvt__BP_Interactable_OneTimeGrill_Box_K2Node_ComponentBoundEvent_2_ComponentBeginOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex, bFromSweep, SweepResult) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
function ABP_Interactable_OneTimeGrill_C:BndEvt__BP_Interactable_OneTimeGrill_Box_K2Node_ComponentBoundEvent_3_ComponentEndOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex) end
---@param EntryPoint int32
function ABP_Interactable_OneTimeGrill_C:ExecuteUbergraph_BP_Interactable_OneTimeGrill(EntryPoint) end


